## imagemagick 6.9.10.23+dfsg

=== PerlMagick/demo/Makefile ===
all:
	perl demo.pl
	perl button.pl
	perl shapes.pl
	perl piddle.pl
	perl tree.pl
	perl steganography.pl
	perl shadow-text.pl
	perl compose-specials.pl
	perl pixel-fx.pl
	perl single-pixels.pl
	perl annotate.pl
	perl composite.pl

clean:
	/bin/rm -f demo.jpg button.gif model.png shadow.gif tree.gif \
	    compose-specials.jpg  single-pixels.gif  pixel-fx.gif

=== debian/changelog ===
imagemagick (8:6.9.10.23+dfsg-2.1+deb10u7) buster-security; urgency=medium

  * Fix CVE-2022-48541: A memory leak allows remote attackers to perform
    a denial of service via the "identify -help" command.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 17 Mar 2024 15:34:05 +0000

imagemagick (8:6.9.10.23+dfsg-2.1+deb10u6) buster-security; urgency=medium

  [ Bastien Roucariès ]
  * Fix a heap based overflow in TIFF coder.
  * Avoid a DOS with malformed TIFF file.
  * Avoid a memory leak in TIFF file coder.
  * Fix a non initialized value passed to TIFFGetField().
  * Fix buffer overrun in TIFF coder.
  * In case of exception bail out early in TIFF file handling.
  * Fix unintialised value in TIFF coder.
  * Raise exception when image could not be read but no
    exception was raised in TIFF coder.
  * Fix CVE-2023-39978: a memory leak was present in
    Magick::Draw.
  * Mark rmagick test as flaky
  * Fix CVE-2023-1289: A vulnerability was discovered
    in ImageMagick where a specially created SVG file
    loads itself and causes a segmentation fault.
    This flaw allows a remote attacker to pass a
    specially crafted SVG file that leads to a segmentation
    fault, generating many trash files in "/tmp," resulting in
    a denial of service. When ImageMagick crashes, it generates
    a lot of trash files. These trash files can be large if the
    SVG file contains many render actions.
  * Fix CVE-2023-34151: A vulnerability was found in ImageMagick,
    due to undefined behaviors of casting double to size_t in
    svg, mvg and other coders.
  * Fix CVE-2023-5341: A heap use-after-free flaw was found
    in coders/bmp.c 

  [ Santiago Ruano Rincón ]
  * Enable ARM builds in salsa-ci.yml

 -- Bastien Roucariès <rouca@debian.org>  Fri, 19 Jan 2024 13:20:50 -0500

imagemagick (8:6.9.10.23+dfsg-2.1+deb10u5) buster-security; urgency=medium

  * Fix CVE-2021-20176: divide by zero in gem.c file.
  * Fix CVE-2021-20241: divide by zero in jp2 coder. (Closes: #1013282)
  * Fix CVE-2021-20243: divide by zero in dcm coder.
  * Fix CVE-2021-20244: divide by zero in fx.c.
  * Fix CVE-2021-20245: divide by zero in webp coder.git
  * Fix CVE-2021-20246: divide by zero in resample.c
  * Fix CVE-2021-20309: divide by zero in WaveImage.c
  * Fix CVE-2021-20312: integer overflow in WriteTHUMBNAILImage()
    of coders/thumbnail.c
  * Fix CVE-2021-20313: potential cipher leak when the calculate
    signatures in TransformSignature().
  * Fix CVE-2021-39212: Policy bypass for postscript files
    (Closes: #996588)
  * Fix CVE-2022-28463: Buffer overflow in cin coder.
  * Fix CVE-2022-32545: Fix undefined behavior due to
    an outside the range of representable values of
    type 'unsigned char' conversion in psd file handling.
    (Closes: #1016442)
  * Fix CVE-2022-32546: Fix undefined behavior due to
    an outside the range of representable values of
    type 'long' conversion in pcl file handling.
  * Fix CVE-2022-32547: unaligned access in property.c

 -- Bastien Roucariès <rouca@debian.org>  Sun, 21 May 2023 18:57:13 +0000

imagemagick (8:6.9.10.23+dfsg-2.1+deb10u4) buster-security; urgency=high

  * Fix FTBFS due to CVE-2020-27767
  * Add regression test for Bug #1032998.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Mar 2023 11:58:46 +0000

imagemagick (8:6.9.10.23+dfsg-2.1+deb10u3) buster-security; urgency=medium

  * Bug fix: "font issue since 8:6.9.10.23+dfsg-2.1+deb10u2", thanks to
    Maxime Besson (Closes: #1032998). Revert policy.xml patch.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 16 Mar 2023 21:40:55 +0000

imagemagick (8:6.9.10.23+dfsg-2.1+deb10u2) buster-security; urgency=high

  [ Roberto C. Sánchez ]
  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2020-19667: Stack-based buffer overflow and unconditional jump in
    ReadXPMImage in coders/xpm.c
  * Fix CVE-2020-25665: An out-of-bounds read in the PALM image coder in
    WritePALMImage in coders/palm.c
  * Fix CVE-2020-25666: Integer overflow is possible during simple math
    calculations in HistogramCompare() in MagickCore/histogram.c
  * Fix CVE-2020-25674: A for loop with an improper exit condition that can
    allow an out-of-bounds READ via heap-buffer-overflow in WriteOnePNGImage
    from coders/png.c
  * Fix CVE-2020-25675: Undefined behavior in the form of integer overflow and
    out-of-range values as a result of rounding calculations performed on
    unconstrained pixel offsets in the CropImage() and CropImageToTiles()
    routines of MagickCore/transform.c
  * Fix CVE-2020-25676: Undefined behavior in the form of integer overflow and
    out-of-range values as a result of rounding calculations performed on
    unconstrained pixel offsets in CatromWeights(), MeshInterpolate(),
    InterpolatePixelChannel(), InterpolatePixelChannels(), and
    InterpolatePixelInfo(), which are all functions in /MagickCore/pixel.c
  * Fix CVE-2020-27560: Division by Zero in OptimizeLayerFrames in
    MagickCore/layer.c, which may cause a denial of service
  * Fix CVE-2020-27750: Division by Zero in MagickCore/colorspace-private.h
    and MagickCore/quantum.h, which may cause a denial of service
  * Fix CVE-2020-27751: Undefined behavior in the form of values outside the
    range of type `unsigned long long` as well as a shift exponent that is too
    large for 64-bit type in MagickCore/quantum-export.c
  * Fix CVE-2020-27754: In IntensityCompare() of /magick/quantize.c, there are
    calls to PixelPacketIntensity() which could return overflowed values
  * Fix CVE-2020-27756: In ParseMetaGeometry() of MagickCore/geometry.c, image
    height and width calculations can lead to divide-by-zero conditions which
    also lead to undefined behavior
  * Fix CVE-2020-27757: A floating point math calculation in
    ScaleAnyToQuantum() of /MagickCore/quantum-private.h could lead to
    undefined behavior in the form of a value outside the range of type
    unsigned long long


=== debian/control ===
# Autogenerated Thu Nov 30 16:29:18 UTC 2023 from make -f debian/rules update_pkg
Source: imagemagick
Section: graphics
Priority: optional
Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Uploaders: Luciano Bello <luciano@debian.org>,
 Nelson A. de Oliveira <naoliv@debian.org>,
 Bastien Roucariès <rouca@debian.org>,
Standards-Version: 4.3.0
# for dbg-sym
Build-Depends: debhelper (>= 11),
# for improving build
 dh-exec,
# ABI dump
 g++ (>= 4:7),
# for linking compiling ...
 pkg-config, libltdl-dev,
# for libtool does not link to depends lib
 chrpath,
# for special function
 libfftw3-dev, liblcms2-dev, liblqr-1-0-dev,
# for fonts
 libfreetype6-dev, libfontconfig1-dev, gsfonts,
# for compression
 zlib1g-dev, liblzma-dev, libbz2-dev,
# for X
 libx11-dev, libxext-dev, libxt-dev,
# for plugins
 ghostscript, libdjvulibre-dev, libexif-dev,
 libjpeg-dev, libopenjp2-7-dev,
 libopenexr-dev, libperl-dev, libpng-dev, libtiff-dev,
 libwmf-dev, libheif-dev, libwebp-dev,
# libgraphviz-dev, incompatible license against fftw
# for converting svg
 libpango1.0-dev, librsvg2-bin, librsvg2-dev, libxml2-dev,
# for easy symbols of c++ lib
 pkg-kde-tools,
# for libgomp symbols
 dpkg-dev (>= 1.17.6)
# for documentation
Build-Depends-Indep: doxygen, doxygen-latex, graphviz,
		     libxml2-utils,
		     xsltproc,
		     jdupes
Vcs-Browser: https://salsa.debian.org/debian/imagemagick
Vcs-Git: https://salsa.debian.org/debian/imagemagick.git
Homepage: https://www.imagemagick.org/

# arch all package
# do not forget to add breaks if config file syntax change.
Package: imagemagick-6-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libmagickcore-6.q16-4 (<< 8:6.9.8.9+dfsg-1~),
	libmagickcore-6.q16hdri-4 (<< 8:6.9.8.9+dfsg-1~),
        libmagickcore-6.q16-3 (<< 8:6.9.6.8+dfsg-1~),
	libmagickcore-6.q16-2 (<< 8:6.9.6.2+dfsg-3~),
	imagemagick-common (<< 8:6.9.2.10+dfsg-1~)
Provides: imagemagick-common
# remove breaks/replaces after strech + 2 for imagemagick-common
# remove breaks/replace after strech + 2 for libmagickcore-6.q16 (<< 8:6.9.6.2+dfsg-3)
Replaces: imagemagick-common (<< 8:6.9.2.10+dfsg-1~),
 libmagickcore-6.q16 (<< 8:6.9.6.2+dfsg-3~)
Description: image manipulation programs -- infrastructure
 imagemagick-common contains the filesystem infrastructure required for
 further installation of imagemagick in any configuration; it does not provide
 a full installation of binaries, libraries, and utilities
 required to run imagemagick.
 .
 This package is independent of channel depth.

Package: imagemagick-6-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${doxygen:Depends},
	 imagemagick-6-common
Recommends: www-browser,
	    libjs-jquery,
	    libjs-bootstrap (>=3.3.5+dfsg-1),
	    libjs-jquery-mousewheel,
	    libjs-jquery-fancybox,
Suggests: imagemagick
Provides: imagemagick-doc
# remove breaks/replaces after strech + 2
Replaces: imagemagick-doc (<< 8:6.9.2.10+dfsg-1~), imagemagick (<< 8:6.9.2.10+dfsg-1~)
Breaks: imagemagick-doc (<< 8:6.9.2.10+dfsg-1~)
Built-using: ${doxygen:Built-Using}
Description: document files of ImageMagick
 This package contains the document files shipped with ImageMagick, a software
 suite to create, edit, and compose bitmap images.
 .
 Documentations includes html manuals, examples files, and doxygen generated API
 documentation.

Package: libmagickcore-6-headers
Architecture: all
Multi-Arch: foreign
Section: libdevel
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}
Description: low-level image manipulation library - header files
 The MagickCore API is a low-level interface between the C programming language
 and the ImageMagick image processing libraries and is recommended for
 wizard-level programmers only. Unlike the MagickWand C API which uses only a
 few opaque types and accessors, with MagickCore you almost exclusively access
 the structure members directly.
 .
 This package includes the architecture independent header files
 needed to compile programs using MagickCore.
 .
 This package is independent of channel depth.

Package: libmagickwand-6-headers
Architecture: all
Multi-Arch: foreign
Section: libdevel
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: libmagickcore-6-headers (>= ${source:Version}),
 libmagickcore-6-headers (<< ${source:Version}.1~),
 ${misc:Depends}
Description: image manipulation library - headers files
 The MagickWand API is the recommended interface between the C programming
 language and the ImageMagick image processing libraries. Unlike the
 MagickCore C API, MagickWand uses only a few opaque types. Accessors are
 available to set or get important wand properties.
 .
 This package includes header files needed to compile
 programs using MagickWand.
 .
 This package is independent of channel depth.

Package: libmagick++-6-headers
Architecture: all
Multi-Arch: foreign
Section: libdevel
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: libmagickwand-6-headers (>= ${source:Version}),
 libmagickwand-6-headers (<< ${source:Version}.1~),
 libmagickcore-6-headers (>= ${source:Version}),
 libmagickcore-6-headers (<< ${source:Version}.1~),
 ${misc:Depends}
Description: object-oriented C++ interface to ImageMagick - header files
 The Magick++ library is a set of C++ wrapper classes that provides access
 to the ImageMagick package functionality from within a C++ application.
 .
 This package includes header files needed to compile
 programs using Magick++.
 .
 This package is independent of channel depth.


Package: libimage-magick-perl
Architecture: all
Multi-Arch: allowed
Section: perl
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends},
	 libimage-magick-q16-perl
Provides: perlmagick
# remove breaks/replaces after jessie +2
Replaces: perlmagick (<< 8:6.8.3.10-1~)
Breaks: perlmagick (<< 8:6.8.3.10-1~)
Suggests: imagemagick-doc
Description: Perl interface to the ImageMagick graphics routines
 PerlMagick is an objected-oriented Perl interface to ImageMagick.
 Use the module to read, manipulate, or write an image or image sequence from
 within a Perl script. This makes it very suitable for Web CGI scripts.
 .
 This is the compatibility (wrapper) perlmagick package that
 use the default channel depth.
 .
 This package provides the perl Image::Magick class.

# quantum independent
Package: libmagickcore-6-arch-config
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends},
	 libmagickcore-6-headers (>= ${source:Version}),
	 libmagickcore-6-headers (<< ${source:Version}.1~),
	 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
Description: low-level image manipulation library - architecture header files
 The MagickCore API is a low-level interface between the C programming language
 and the ImageMagick image processing libraries and is recommended for
 wizard-level programmers only. Unlike the MagickWand C API which uses only a
 few opaque types and accessors, with MagickCore you almost exclusively access
 the structure members directly.
 .
 This package includes the architecture dependent part of the
 headers files used by MagickCore.
 .
 This package is independent of channel depth.

# quantum dependant
Package: imagemagick-6.q16
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
Recommends: libmagickcore-6.q16-6-extra, ghostscript, netpbm
Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
 ffmpeg, gimp, gnuplot, grads, graphviz, groff-base, hp2xx, html2ps,
 libwmf-bin, mplayer,
 povray, radiance, sane-utils, texlive-base-bin, transfig,
 ufraw-batch, xdg-utils
Replaces: imagemagick (<< 8:6.9.2.10+dfsg-2~)
Breaks: libmagickcore-dev (<< 8:6.9.2.10+dfsg-2~)
Provides: imagemagick, imagemagick-6.defaultquantum
Description: image manipulation programs -- quantum depth Q16
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves.
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).
 .
 For working with the SVG, WMF, OpenEXR, DjVu and Graphviz formats,
 you need to install the libmagickcore-6.q16-6-extra package.
 .
 This version of imagemagick is compiled for a channel
 depth of 16 bits (Q16).

# predepend on dpkg (>= 1.17.6) for libgomp symbols remove after jeesie +2
# normally depends on imagemagick-6-common >= ${source:version} except
# here when some files were moved between two packages
Package: libmagickcore-6.q16-6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.17.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
Recommends: ghostscript, gsfonts
Suggests: libmagickcore-6.q16-6-extra
Description: low-level image manipulation library -- quantum depth Q16
 The MagickCore API is a low-level interface between the C programming language
 and the ImageMagick image processing libraries and is recommended for
 wizard-level programmers only. Unlike the MagickWand C API which uses only a
 few opaque types and accessors, with MagickCore you almost exclusively access
 the structure members directly.
 .
 This package contains the C libraries needed to run executables that make
 use of MagickCore.
 .
 This version of libmagickcore is compiled for a channel
 depth of 16 bits (Q16).

Package: libmagickcore-6.q16-6-extra
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: libmagickcore-6.q16-6
Provides: libmagickcore-extra, libmagickcore-6.q16-1-extra,
 libmagickcore-6.q16-2-extra,
 libmagickcore-6.q16-3-extra,
 libmagickcore-6.q16-4-extra,
 libmagickcore-6.q16-5-extra
Suggests: inkscape
Recommends: libjxr-tools
Description: low-level image manipulation library - extra codecs (Q16)
 This package adds support for SVG, WMF, OpenEXR, DjVu and Graphviz to
 MagickCore.
 .
 This version of libmagickcore-extra is compiled for a channel
 depth of 16 bits (Q16).

Package: libmagickcore-6.q16-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: dpkg (>= 1.17.11)
Depends:
 libmagickcore-6-arch-config (= ${binary:Version}),
 libmagickcore-6.q16-6 (= ${binary:Version}),
 libmagickcore-6.q16-6-extra (= ${binary:Version}),
 libbz2-dev, libdjvulibre-dev,
 libexif-dev, libfreetype6-dev, libjpeg-dev, libopenjp2-7-dev,
 liblcms2-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
 librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
 libxt-dev, zlib1g-dev,
 pkg-config,
 ${misc:Depends}
# remove breaks/replaces after jessie +2
Replaces: libmagickcore-dev (<< 8:6.8.3.10-1~)
Breaks: libmagickcore-dev (<< 8:6.8.3.10-1~)
Provides: libmagickcore-6.defaultquantum-dev, libmagickcore-dev (=${binary:Version}),
Description: low-level image manipulation library - development files (Q16)
 The MagickCore API is a low-level interface between the C programming language
 and the ImageMagick image processing libraries and is recommended for
 wizard-level programmers only. Unlike the MagickWand C API which uses only a
 few opaque types and accessors, with MagickCore you almost exclusively access
 the structure members directly.
 .
 This package includes header static libraries needed to compile
 programs using MagickCore.
 .
 This version of libmagickcore-dev is compiled for a channel
 depth of 16 bits (Q16).

# predepend on dpkg (>= 1.17.6)  for libgomp symbols remove after jeesie + 2
Package: libmagickwand-6.q16-6
Architecture: any
Multi-Arch: same
Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# quantum depth is channel depth
export QUANTUMDEPTH ?= q16 q16hdri
# lib version, run make -f debian/rules update_pkg in order to upgrade
export CORESOVERSION ?= 6
export WANDSOVERSION ?= 6
export PPSOVERSION ?= 8

# minimal version ABI compatible of common
export COMMONMINVERSION ?= 8:6.9.6.2+dfsg-3

# default im version used for adding default file
export DEFAULTIMVERSION ?= 6


# poc arch for test empty means no test
POC_ARCH ?= any-i386 any-amd64
VALGRIND_POC_ARCH ?=

# for hardening
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# version extracted from changelog
#DEB_VERSION_UPSTREAM
DEB_UPSTREAM_VERSION_DROPREVISION := $(shell set -e;echo $(DEB_VERSION_UPSTREAM) |  sed -r "s/(^.+)\..+$$/\1/g")
DEB_UPSTREAM_VERSION_MAJOR := $(shell set -e;echo $(DEB_VERSION_UPSTREAM) | sed -r "s/(^[[:digit:]]+)\..+$$/\1/g")
export IMVERSION := $(DEB_UPSTREAM_VERSION_MAJOR)

# where to put documentation (relative)
export DOC_PKG_PATH := usr/share/doc/imagemagick-$(DEB_UPSTREAM_VERSION_MAJOR)-common/html

# quantum depth used by default and by quantum independant package (first one of QUANTUMDEPTH)
export DEFAULTQUANTUMDEPTH := $(shell echo $(QUANTUMDEPTH) | cut -f 1 -d ' ')
export NOQUANTUMDEPTH := $(shell echo $(QUANTUMDEPTH) | cut -f 1 -d ' ')

# convert used for icons
export CONVERT ?= ./magick.sh convert
VALGRIND_CONVERT ?= ./libtool --mode=execute valgrind $(CONVERT)
CONVERT_FLAGS ?= -background none -define filter:blur=0.75 -filter Gaussian

# perl path
export DEB_PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')


# configure cache for acceleration
STATIC_CONFIGURE_CACHEFILE := config.cache
CONFIGURE_CACHEFILE ?= $(STATIC_CONFIGURE_CACHEFILE)

STATIC_CONFIGURE_OPTIONS_CACHE := \
       --cache-file=../../$(CONFIGURE_CACHEFILE)
CONFIGURE_OPTIONS_CACHE ?= $(STATIC_CONFIGURE_OPTIONS_CACHE)

# disable arch optimization see #757996 and AX_GCC_ARCHFLAG m4 macro
STATIC_CONFIGURE_ARCH_FLAGS := --without-gcc-arch
CONFIGURE_ARCH_FLAGS ?= $(STATIC_CONFIGURE_ARCH_FLAGS)

# NOTICE: remove EPL delegate lib gvc (license problem)
# should be last variable
STATIC_CONFIGURE_OPTIONS := \
	--enable-reproducible-build \
	--prefix=/usr \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--docdir=/$(DOC_PKG_PATH) \
	--with-extra-doc-dir=' (on debian system you may install the imagemagick-$(IMVERSION) package)' \
	--sysconfdir=/etc \
	--with-includearch-dir=/usr/include/$(DEB_HOST_MULTIARCH)/ \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--with-modules \
	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
	--with-magick-plus-plus \
	--with-djvu \
        --with-heic \
	--with-openjp2 \
        --with-webp \
	--with-wmf \
	--without-gvc \
	--enable-shared \
	--without-dps \
	--without-fpx \
	--with-perl \
	--with-perl-options='INSTALLDIRS=vendor' \
	--x-includes=/usr/include/X11 \
	--x-libraries=/usr/lib/X11 \
	--without-rsvg
CONFIGURE_OPTIONS ?= $(STATIC_CONFIGURE_OPTIONS) \
			    $(CONFIGURE_OPTIONS_CACHE) \
			    $(CONFIGURE_ARCH_FLAGS)

# export for alternatives
export MAGICK_PROGRAMS := compare animate convert composite conjure import identify stream display montage mogrify

MAGICK_ANY_QUANTUM_PACKAGES :=  imagemagick-$(IMVERSION).$$QUANTUM \
				libmagickcore-${IMVERSION}.$$QUANTUM-${CORESOVERSION} \
				libmagickcore-${IMVERSION}.$$QUANTUM-${CORESOVERSION}-extra \
				libmagickwand-${IMVERSION}.$$QUANTUM-${WANDSOVERSION} \
				libmagick++-${IMVERSION}.$$QUANTUM-${PPSOVERSION} \
				libmagick++-${IMVERSION}.$$QUANTUM-dev \
				libmagickcore-${IMVERSION}.$$QUANTUM-dev \
				libmagickwand-${IMVERSION}.$$QUANTUM-dev \
				libimage-magick-$$QUANTUM-perl

MAGICK_ANY_PACKAGES :=  libmagickcore-$(IMVERSION)-arch-config
MAGICK_ANY_COMPAT_PACKAGES := imagemagick

MAGICK_ALL_PACKAGES :=  imagemagick-$(IMVERSION)-common \
			imagemagick-$(IMVERSION)-doc \
			libmagickcore-$(IMVERSION)-headers \
			libmagickwand-$(IMVERSION)-headers \
			libmagick++-$(IMVERSION)-headers \
			libimage-magick-perl

MAGICK_ALL_COMPAT_PACKAGES := imagemagick-common \
			      imagemagick-doc \
			      perlmagick \
			      libmagickcore-dev \
			      libmagickwand-dev \
			      libmagick++-dev

# run POC
TEST_POC_CMD:= \
	     POCFOUND='no'; \
	     set -e; for POC in $(POC_ARCH); do \
		if dpkg-architecture -i$$POC; then \
			POCFOUND='yes'; break;\
		fi; \
	     done; \
	     echo $$POCFOUND
TEST_POC := $(shell $(TEST_POC_CMD))

VALGRIND_TEST_POC_CMD:= \
	     POCFOUND='no'; \
	     set -e; for POC in $(VALGRIND_POC_ARCH); do \
		if dpkg-architecture -i$$POC; then \
			POCFOUND='yes'; break;\
		fi; \
	     done; \
	     echo $$POCFOUND

VALGRIND_TEST_POC := $(shell $(VALGRIND_TEST_POC_CMD))
# check if FPU
HAVE_FPU_CMD := \
		set -e; \
		case $(DEB_HOST_MULTIARCH) in \
		mips*-*) \
			if grep " FPU" /proc/cpuinfo > /dev/null; then \
				echo -n "yes"; \
			else \
				echo -n "no"; \
			fi; \
		;;\
		*) \
			echo -n "yes"; \
		;; \
	       esac;

STATIC_HAVE_FPU := $(shell $(HAVE_FPU_CMD))
export HAVE_FPU ?= $(STATIC_HAVE_FPU)

# upper/lower case function
LC = ${shell set -e; echo '$1' | sed -e 's/\(.*\)/\L\1/'}
UC = ${shell set -e; echo '$1' | sed -e 's/\(.*\)/\U\1/'}
REPLACE_QUANTUM = ${shell set -e;echo '$1' |  sed -e 's/$$QUANTUM/$2/g'}
MAGICK_ANY_Q_PACKAGES = ${shell set -e;echo '$(MAGICK_ANY_QUANTUM_PACKAGES)' |  sed -e 's/$$QUANTUM/$1/g'}

# extract quantum
QUANTUM_PART = ${shell set -e;echo -n '$1' | sed -r 's/q?([[:digit:]]*)(HDRI)?/\1/gi'}
HDRI_PART = ${shell set -e;case $$(set -e; echo -n '$1' | sed -e 's/\(.*\)/\L\1/') in *hdri) echo 'yes';; *) echo 'no' ;; esac }
HDRI_STR_PART = ${shell set -e;case $$(set -e;echo -n '$1' | sed -e 's/\(.*\)/\L\1/') in *hdri) echo ' with high dynamic range';; *) echo '' ;; esac }
PRIO_COMPUTATION =${shell $(CURDIR)/debian/scripts/quantumpriority.sh '$1'}

# bug #840682
DH_EXEC_SUBST = /usr/lib/dh-exec/dh-exec-subst
DH_EXEC_SUBST_ENV = debian/scripts/dh-exec-subst-env

# js dir
JS_DIR=www/assets

dummy:

test_fpu:
	echo $(HAVE_FPU)

PROVIDES_COMPAT_VERSION=$(DEB_VERSION)
PROVIDES_PKG_LIBMAGICKCORE_DEV_DEFAULTQ=libmagickcore-${IMVERSION}.defaultquantum-dev, libmagickcore-dev (=$${binary:Version}),
PROVIDES_LIBMAGICKCORE_DEV_DEFAULTQ=Provides: ${PROVIDES_PKG_LIBMAGICKCORE_DEV_DEFAULTQ}
PROVIDES_PKG_LIBMAGICKWAND_DEV_DEFAULTQ=libmagickwand-${IMVERSION}.defaultquantum-dev, libmagickwand-dev (=$${binary:Version}),
PROVIDES_LIBMAGICKWAND_DEV_DEFAULTQ=Provides: ${PROVIDES_PKG_LIBMAGICKWAND_DEV_DEFAULTQ}
PROVIDES_PKG_LIBMAGICKPP_DEV_DEFAULTQ=libmagick++-${IMVERSION}.defaultquantum-dev, libmagick++-dev (=$${binary:Version})
PROVIDES_LIBMAGICKPP_DEV_DEFAULTQ=Provides: ${PROVIDES_PKG_LIBMAGICKPP_DEV_DEFAULTQ}
PROVIDES_PKG_MAGICK_PERL_DEFAULTQ=libimage-magick-defaultquantum-perl, perlmagick (=$${binary:Version})
PROVIDES_MAGICK_PERL_DEFAULTQ=Provides: ${PROVIDES_PKG_MAGICK_PERL_DEFAULTQ}
DELPLACEHOLDER=XXXXX_DELETE_XXXXX

# update package files
update_pkg.%:
	# control
	QUANTUM=$(call QUANTUM_PART,$*) \
	HDRI=$(call HDRI_PART,$*) \
	HDRI_STR="$(call HDRI_STR_PART,$*)" \
	QUANTUMDEPTH=$* \
	UCQUANTUMDEPTH=$(call UC,$*) \
	DESC_QUANTUM="$$QUANTUM bits$$HDRI_STR" \
	PROVIDES_LIBMAGICKCORE_DEV='$(if $(subst $(DEFAULTQUANTUMDEPTH),,$*),$(DELPLACEHOLDER),${PROVIDES_LIBMAGICKCORE_DEV_DEFAULTQ})' \
	PROVIDES_LIBMAGICKWAND_DEV='$(if $(subst $(DEFAULTQUANTUMDEPTH),,$*),$(DELPLACEHOLDER),${PROVIDES_LIBMAGICKWAND_DEV_DEFAULTQ})' \
	PROVIDES_LIBMAGICKPP_DEV='$(if $(subst $(DEFAULTQUANTUMDEPTH),,$*),$(DELPLACEHOLDER),${PROVIDES_LIBMAGICKPP_DEV_DEFAULTQ})' \
	PROVIDES_MAGICK_PERL='$(if $(subst $(DEFAULTQUANTUMDEPTH),,$*),$(DELPLACEHOLDER),${PROVIDES_MAGICK_PERL_DEFAULTQ})' \

=== debian/tests/control ===
Tests: rose-6.q16
Depends: imagemagick-6.q16, libmagickcore-6.q16-6-extra, ghostscript, netpbm

Tests: perlmagick-6.q16
Depends: libimage-magick-q16-perl, libmagickcore-6.q16-6-extra, libaliased-perl, gsfonts


Tests: perlmagick-gd-6.q16
Depends: libimage-magick-q16-perl, libmagickcore-6.q16-6-extra, libaliased-perl, gsfonts, libgd-securityimage-perl, libimage-magick-perl

Tests: perlmagick-leak-6.q16
Depends: libimage-magick-q16-perl, libmagickcore-6.q16-6-extra, libaliased-perl, gsfonts, time, bash


Tests: rose-6.q16hdri
Depends: imagemagick-6.q16hdri, libmagickcore-6.q16hdri-6-extra, ghostscript, netpbm

Tests: perlmagick-6.q16hdri
Depends: libimage-magick-q16hdri-perl, libmagickcore-6.q16hdri-6-extra, libaliased-perl, gsfonts


Tests: perlmagick-gd-6.q16hdri
Depends: libimage-magick-q16hdri-perl, libmagickcore-6.q16hdri-6-extra, libaliased-perl, gsfonts, libgd-securityimage-perl, libimage-magick-perl

Tests: perlmagick-leak-6.q16hdri
Depends: libimage-magick-q16hdri-perl, libmagickcore-6.q16hdri-6-extra, libaliased-perl, gsfonts, time, bash



Tests: rmagick-leak
Depends: ruby-rmagick, gsfonts, time, bash
Restrictions: flaky

## imagemagick 6.9.10.23.5

=== debian/changelog ===
imagemagick (8:6.9.10.23.5-1+security) unstable; urgency=medium

  * update

 -- ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>  Sun, 04 Apr 2021 15:35:54 +0800

imagemagick (8:6.9.10.23.4-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Wed, 24 Feb 2021 17:07:54 +0800

imagemagick (8:6.9.10.23.3-1+eagle) UNRELEASED; urgency=medium

  * fix CVE-2021-20176 CVE-2021-20246

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 26 Feb 2021 10:43:26 +0800

imagemagick (8:6.9.10.23.2-1+eagle) unstable; urgency=medium

  * fix CVE-2020-27758 CVE-2020-27759 CVE-2020-27760 CVE-2020-27761 CVE-2020-27762
    CVE-2020-27763 CVE-2020-27765 CVE-2020-27766 CVE-2020-27768 CVE-2020-27770
    CVE-2020-27771 CVE-2020-27772 CVE-2020-27773 CVE-2020-27774 CVE-2020-27775
    CVE-2019-16709 CVE-2020-25664 CVE-2020-25665 CVE-2020-25666 CVE-2020-25674
    CVE-2020-25675 CVE-2020-25676 CVE-2020-27560 CVE-2020-27750 CVE-2020-27751
    CVE-2020-27754 CVE-2020-27755 CVE-2020-27756 CVE-2020-27757


 -- zhouzilong <zhouzilong@uniontech.com>  Sat, 20 Feb 2021 11:24:00 +0800

imagemagick (8:6.9.10.23.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 05 Jul 2020 17:06:50 +0800

## imagemagick 6.9.10.23.6

=== debian/changelog ===
imagemagick (8:6.9.10.23.6-1+dde) unstable; urgency=medium

  * fix CVE-2021-3962.

 -- liaoyuan <liaoyuan@uniontech.com>  Thu, 18 Aug 2022 16:21:54 +0800

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 
 # poc arch for test empty means no test
-POC_ARCH ?= any-i386 any-amd64
+POC_ARCH ?= any-i386 any-amd64 sw_64
 VALGRIND_POC_ARCH ?=
 
 # for hardening

## imagemagick 6.9.10.23.8

=== debian/changelog ===
imagemagick (8:6.9.10.23.8-1+dde) unstable; urgency=medium

  * fix CVE-2021-39212 CVE-2022-28463 CVE-2022-32545 CVE-2022-32546
  * CVE-2022-32547.

 -- liaoyuan <liaoyuan@uniontech.com>  Fri, 30 Sep 2022 18:58:52 +0800

imagemagick (8:6.9.10.23.7-1+dde) unstable; urgency=medium

  * fix CVE-2020-27753 CVE-2021-20243 CVE-2020-27764
  CVE-2021-20309.

 -- liaoyuan <liaoyuan@uniontech.com>  Thu, 29 Sep 2022 14:36:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Autogenerated Thu Nov 30 16:29:18 UTC 2023 from make -f debian/rules update_pkg
+# Autogenerated Sun Jan  6 21:18:32 CET 2019 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
@@ -118,8 +118,7 @@
 Multi-Arch: foreign
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: libmagickcore-6-headers (>= ${source:Version}),
- libmagickcore-6-headers (<< ${source:Version}.1~),
+Depends: libmagickcore-6-headers (= ${source:Version}),
  ${misc:Depends}
 Description: image manipulation library - headers files
  The MagickWand API is the recommended interface between the C programming
@@ -137,10 +136,8 @@
 Multi-Arch: foreign
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: libmagickwand-6-headers (>= ${source:Version}),
- libmagickwand-6-headers (<< ${source:Version}.1~),
- libmagickcore-6-headers (>= ${source:Version}),
- libmagickcore-6-headers (<< ${source:Version}.1~),
+Depends: libmagickwand-6-headers (= ${source:Version}),
+ libmagickcore-6-headers (= ${source:Version}),
  ${misc:Depends}
 Description: object-oriented C++ interface to ImageMagick - header files
  The Magick++ library is a set of C++ wrapper classes that provides access
@@ -181,8 +178,7 @@
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends},
-	 libmagickcore-6-headers (>= ${source:Version}),
-	 libmagickcore-6-headers (<< ${source:Version}.1~),
+	 libmagickcore-6-headers (= ${source:Version}),
 	 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
 Description: low-level image manipulation library - architecture header files
  The MagickCore API is a low-level interface between the C programming language
@@ -310,3 +306,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.17.6)
+Depends: ${shlibs:Depends}, ${misc:Depends},
+	 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
+Description: image manipulation library -- quantum depth Q16

## imagemagick 6.9.11.60%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
-# Autogenerated Sun Jan  6 21:18:32 CET 2019 from make -f debian/rules update_pkg
+# Autogenerated Mon Jun 24 16:27:31 UTC 2024 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
 Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
- Nelson A. de Oliveira <naoliv@debian.org>,
  Bastien Roucariès <rouca@debian.org>,
 Standards-Version: 4.3.0
 # for dbg-sym

=== debian/tests/control ===
Tests: rose-6.q16
Depends: imagemagick-6.q16, libmagickcore-6.q16-6-extra, netpbm

Tests: perlmagick-6.q16
Depends: libimage-magick-q16-perl, libmagickcore-6.q16-6-extra, libaliased-perl, gsfonts

Tests: CVE-2023-1289-6.q16
Depends: imagemagick-6.q16, libmagickcore-6.q16-6-extra, netpbm
Restrictions: allow-stderr

Tests: rose-6.q16hdri
Depends: imagemagick-6.q16hdri, libmagickcore-6.q16hdri-6-extra, netpbm

Tests: perlmagick-6.q16hdri
Depends: libimage-magick-q16hdri-perl, libmagickcore-6.q16hdri-6-extra, libaliased-perl, gsfonts

Tests: CVE-2023-1289-6.q16hdri
Depends: imagemagick-6.q16hdri, libmagickcore-6.q16hdri-6-extra, netpbm
Restrictions: allow-stderr

## imagemagick 6.9.11.60+dfsg

=== debian/changelog ===
imagemagick (8:6.9.11.60+dfsg-1.3ubuntu0.22.04.5) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS while processing crafted SVG files
    - debian/patches/CVE-2023-1289-prepatch.patch: recursion detection
      framework.
    - debian/patches/CVE-2023-1289.patch: erecursion detection
    - d/p/0077-CVE-2023-1289-recursion-detection-fail.patch: recursion detection
      fail
    - d/p/0078-improved-fix-for-possible-DoS-for-certain-SVG-constr.patch:
      improved fix for possible DoS for certain SVG constructs
    - debian/patches/0079-permit-compositing-MPRI-images.patch: permit
      compositing MPRI images.
    - d/p/0080-VID-images-not-permitted-when-compositing.patch: VID images not
      permitted when compositing.
    - d/p/0081-do-not-composite-SVG-to-avoid-possible-recursion.patch: do not
      composite SVG to avoid possible recursion.
    - CVE-2023-1289
  * SECURITY UPDATE: integer overflow vulnerability
    - debian/patches/CVE-2023-34151*.patch: properly cast double to size_t
    - debian/patches/CVE-2023-34151-prepatch.patch: improved range checking.
    - debian/patches/CVE-2023-34151-prepatch-2.patch: add additional checks for
      casting double to size_t
    - debian/patches/CVE-2023-34151.patch: properly cast double to size_t.
    - d/p/0069-CVE-2023-34151-properly-cast-double-to-size_t.patch: properly
      cast double to size_t
    - debian/patches/0070-CVE-2023-34151.patch: magick produces incorrect
      result possibly due to overflow.
    - debian/patches/0072-CVE-2023-34151.patch: improved range checking
    - debian/patches/0073-check-for-value-0-ceil-not-required.patch: check for
      value < 0, ceil() not required
    - d/p/0074-fix-undefined-behaviors-when-casting-double-to-size_.patch: fix
      undefined behaviors when casting double to size_t
    - d/p/0075-use-a-different-path-for-positive-and-negative-value.patch: use
      a different path for positive and negative values
    - d/p/0076-use-instead-to-work-around-precision-limitations-of-.patch: use
      >= instead to work around precision limitations of a double.
    - CVE-2023-34151
  * Other security fixes:
    - debian/patches/0063-Added-check-for-invalid-size.patch: Added check for
      invalid size.
    - debian/patches/0064-improve-BMP-error-checking.patch: improve BMP
      error checking.
    - d/p/0071-incorrect-bounds-checking-for-draw-affine-https-gith.patch:
      incorrect bounds checking for draw affine
    - debian/patches/0082-recursion-detection-framework.patch: recursion
      detection framework.
    - debian/patches/0083-Fixed-memory-leak.patch: Fixed memory leak.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 19 Jul 2024 17:37:45 -0300

imagemagick (8:6.9.11.60+dfsg-1.3ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY REGRESSION: Revert additional mitigation.
    - debian/patches/CVE-2022-44267_44268-3.patch: Remove bad mitigation via
      a policy file.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 30 Mar 2023 12:45:39 -0300

imagemagick (8:6.9.11.60+dfsg-1.3ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Additional fix from previous release
    - debian/patches/CVE-2022-44267_44268-1.patch: Renamed from
      debian/patches/CVE-2022-44267.patch.
    - debian/patches/CVE-2022-44267_44268-2.patch: Renamed from
      debian/patches/CVE-2022-44268.patch.
    - debian/patches/CVE-2022-44267_44268-3.patch: Additional mitigation.
    - CVE-2022-44267
    - CVE-2022-44268

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 15 Mar 2023 12:31:28 -0300

imagemagick (8:6.9.11.60+dfsg-1.3ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2022-44267.patch: possible DoS @ stdin (OCE-
      2022-70); possible arbitrary file leak (OCE-2022-72) (LP: #2004580)
    - CVE-2022-44267
  * SECURITY UPDATE: Information Disclosure
    - debian/patches/CVE-2022-44268.patch: move -set profile handler to CLI
    - CVE-2022-44268

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 24 Feb 2023 11:40:25 -0300

imagemagick (8:6.9.11.60+dfsg-1.3build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:53:27 +0100

imagemagick (8:6.9.11.60+dfsg-1.3build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 21:57:31 -0500

imagemagick (8:6.9.11.60+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * autopkgtest: Drop PDF related tests which will fail after disabling
    ghostscript handled formats by default (Closes: #987247)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 20 Apr 2021 16:37:59 +0200

imagemagick (8:6.9.11.60+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable ghostscript handled formats based on -SAFER insecurity

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Apr 2021 20:16:51 +0200

imagemagick (8:6.9.11.60+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream patch to fix font size (Closes: #980202).

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Apr 2021 20:58:45 +0200

imagemagick (8:6.9.11.60+dfsg-1) unstable; urgency=high

  * New upstream version
    - Bug fix: "gscan2pdf tests fail", thanks to Sergio Durigan Junior
      (Closes: #980202).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 01 Feb 2021 16:22:02 +0000

imagemagick (8:6.9.11.58+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Fix error on i386 with php
  * Bug fix (workarround): "Many doubled www/www; broken links on
    index.html", thanks to 積丹尼 Dan Jacobson (Closes: #978138).

 -- Bastien Roucariès <rouca@debian.org>  Fri, 22 Jan 2021 21:59:16 +0000

imagemagick (8:6.9.11.57+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Bug fix: "CVE-2020-29599", imagemagick mishandles the


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
-# Autogenerated Mon Jun 24 16:27:31 UTC 2024 from make -f debian/rules update_pkg
+# Autogenerated Mon Jul 27 10:33:31 CEST 2020 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
  Bastien Roucariès <rouca@debian.org>,
 Standards-Version: 4.3.0
@@ -308,4 +309,3 @@
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.17.6)
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
-Description: image manipulation library -- quantum depth Q16

=== debian/tests/control ===
Tests: rose-6.q16
Depends: imagemagick-6.q16, libmagickcore-6.q16-6-extra, netpbm

Tests: perlmagick-6.q16
Depends: libimage-magick-q16-perl, libmagickcore-6.q16-6-extra, libaliased-perl, gsfonts

Tests: rose-6.q16hdri
Depends: imagemagick-6.q16hdri, libmagickcore-6.q16hdri-6-extra, netpbm

Tests: perlmagick-6.q16hdri
Depends: libimage-magick-q16hdri-perl, libmagickcore-6.q16hdri-6-extra, libaliased-perl, gsfonts
